Bug 446456 - Requesting more spare keyboard layouts
Summary: Requesting more spare keyboard layouts
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_keyboard (show other bugs)
Version: 5.23.3
Platform: Manjaro Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 04:19 UTC by jonathanalanwalls
Modified: 2021-12-07 20:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments
Screenshot of current keyboard layouts on user system (80.83 KB, image/png)
2021-12-04 04:19 UTC, jonathanalanwalls
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jonathanalanwalls 2021-12-04 04:19:17 UTC
Created attachment 144194 [details]
Screenshot of current keyboard layouts on user system

SUMMARY
The maximum number of spare keyboard layouts is currently 4, meaning a grand total of 8 available layouts. I know it's a lot of layouts already and I really appreciate it, that being said though I'm a linguist by trade and I spend a lot of my time switching between quite a few different languages and keyboard layouts such that even 8 is often not sufficient for my use case (especially when I have to switch sometimes between different individual variants within a language). I would love it if a few more slots could be added, or even better if slots were not capped at all (although I'm not sure exactly how difficult that would be to implement).


OBSERVED RESULT
Keyboard layouts are capped at a total of 8.

EXPECTED RESULT
Keyboard layouts would (ideally) be uncapped. Alternately, the cap should be raised another few notches.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: kernel version 5.15.2-2-MANJARO (64-bit)
(available in About System)
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2021-12-04 15:40:57 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/731
Comment 2 Nate Graham 2021-12-06 21:32:21 UTC
Git commit 4f2999e3d77b01c96dc555b40365f796bf96bfe0 by Nate Graham, on behalf of Andrey Butirsky.
Committed on 06/12/2021 at 21:26.
Pushed by butirsky into branch 'master'.

[kcms/keyboard] fix max layouts restriction

No need to artifically restrict spare layouts number

M  +0    -9    kcms/keyboard/kcm_keyboard_widget.cpp
M  +0    -1    kcms/keyboard/x11_helper.cpp
M  +0    -1    kcms/keyboard/x11_helper.h

https://invent.kde.org/plasma/plasma-desktop/commit/4f2999e3d77b01c96dc555b40365f796bf96bfe0
Comment 3 Andrey 2021-12-06 21:41:36 UTC
(In reply to jonathanalanwalls from comment #0)
> EXPECTED RESULT
> Keyboard layouts would (ideally) be uncapped. Alternately, the cap should be
> raised another few notches.
We removed the capping in master. Do you want to test it in VM on Neon unstable maybe and say it works OK for you?
Comment 4 jonathanalanwalls 2021-12-07 20:35:01 UTC
(In reply to Andrey from comment #3)
> We removed the capping in master. Do you want to test it in VM on Neon
> unstable maybe and say it works OK for you?

I would be happy to! As of right now the Unstable version appears to be 5.23.8 and the fix is for 5.24, is that unstable branch set to be available for download soon?
Comment 5 jonathanalanwalls 2021-12-07 20:40:27 UTC
(In reply to jonathanalanwalls from comment #4)
> I would be happy to! As of right now the Unstable version appears to be
> 5.23.8 and the fix is for 5.24, is that unstable branch set to be available
> for download soon?

Edit: Installing and updating the Development release worked! The additional keyboard layouts now appear to be uncapped and working properly! Thank you!
Comment 6 Andrey 2021-12-07 20:49:37 UTC
You are welcome, thanks for testing!